List the apps of an environment.
GET
/api/v1/projects/{project}/environments/{environment}/apps
const url = 'https://example.com/api/v1/projects/example/environments/example/apps';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/projects/example/environments/example/appsParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
Responses
Section titled “Responses”Media typeapplication/json
Array<object>
object
name
required
string
project
required
string
environment
required
Environment short name.
string
namespace
required
string
image
string | null
git_repo
string | null
url
string | null
ready
required
boolean
reason
Available, Progressing, RolloutFailed, Scheduled, AwaitingBuild, …
string | null
message
string | null
processes
required
Array<object>
object
name
required
string
command
required
Array<string>
port
integer | null format: int32
size
required
string
min_replicas
required
integer format: int32
max_replicas
required
integer format: int32
schedule
Cron expression of scheduled processes.
string | null
protocol
required
http or tcp.
string
env
required
domains
required
Array<string>
volumes
required
Array<object>
Persistent volume (kept when the app is deleted, unless requested).
object
name
required
string
mount_path
required
string
size
Capacity such as 5Gi. Can grow, never shrink.
string
created_at
string | null
Example
[ { "env": [ { "name": "LOG_LEVEL" } ], "volumes": [ { "name": "data", "mount_path": "/data", "size": "5Gi" } ] }]Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}